INSERT INTO IDENTITY_TYPES (VAL) VALUES 
	('urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress');
INSERT INTO IDENTITY_TYPES (VAL) VALUES 
	('urn:oasis:names:tc:SAML:1.1:nameid-format:X509SubjectName');
INSERT INTO IDENTITY_TYPES (VAL) VALUES 
	('urn:unicore:idType:X509Certificate');

	
INSERT INTO ATTRIBUTE_TYPES (NAME, SHORT_DESC, DESCRIPTION) VALUES 
	('urn:authz:intervo:vo', 'VO service internal authorization', 'Assigning special values of this attribute changes VO service or VO group (depending on the attribute scope) access permissions if the default authZ policy is used. Valid values are: read, fullRead, identityCtl and write');
INSERT INTO ATTRIBUTE_TYPES (NAME, SHORT_DESC, DESCRIPTION) VALUES 
	('urn:unicore:attrType:xlogin', 'The XLogin of a user', 'Value of this attribute, assigned to an entity specifies the XLogin value for incarnation purpouses. In general it should be group scoped, where the group should be created for every VSite with different mappings.');
INSERT INTO ATTRIBUTE_TYPES (NAME, SHORT_DESC, DESCRIPTION) VALUES 
	('urn:unicore:attrType:defaultXlogin', 'The default XLogin of the user', 'Value of this attribute, assigned to an entity specifies the XLogin value for incarnation purpouses. In general it should be group scoped, where the group should be created for every VSite with different mappings. This attribute should have only single value. If present this attribute overrides normal xlogin attribute.');
INSERT INTO ATTRIBUTE_TYPES (NAME, SHORT_DESC, DESCRIPTION) VALUES 
	('urn:unicore:attrType:role', 'The role(s) of the user', 'Value of this attribute, assigned to an entity specifies the UNICORE role(s) used for authorization purpouses.');
INSERT INTO ATTRIBUTE_TYPES (NAME, SHORT_DESC, DESCRIPTION) VALUES 
	('urn:unicore:attrType:defaultRole', 'The default role of the user', 'Value of this attribute, assigned to an entity specifies the default UNICORE role. This attribute should have only single value. It it is present it overrides normal role attribute.');

		
INSERT INTO AUTHZ_ATTRIBUTE (ATTR_TYPE_ID, ATTR_VALUE, PERMISSION)
	SELECT ID, 'read', 1 FROM ATTRIBUTE_TYPES WHERE
		NAME = 'urn:authz:intervo:vo';
INSERT INTO AUTHZ_ATTRIBUTE (ATTR_TYPE_ID, ATTR_VALUE, PERMISSION)
	SELECT ID, 'fullRead', 3 FROM ATTRIBUTE_TYPES WHERE
		NAME = 'urn:authz:intervo:vo';
INSERT INTO AUTHZ_ATTRIBUTE (ATTR_TYPE_ID, ATTR_VALUE, PERMISSION)
	SELECT ID, 'identityCtl', 7 FROM ATTRIBUTE_TYPES WHERE
		NAME = 'urn:authz:intervo:vo';
INSERT INTO AUTHZ_ATTRIBUTE (ATTR_TYPE_ID, ATTR_VALUE, PERMISSION)
	SELECT ID, 'write', 15 FROM ATTRIBUTE_TYPES WHERE
		NAME = 'urn:authz:intervo:vo';
		
INSERT INTO AUTHZ_SPECIAL (SPECIAL, PERMISSION) VALUES
	('M', 1);
INSERT INTO AUTHZ_SPECIAL (SPECIAL, PERMISSION) VALUES
	('O', 7);


INSERT INTO ENTITIES (NAME, PERSISTENT_ID) VALUES
	('VOADMIN', '1234');
INSERT INTO IDENTITIES (VAL, CMP, TYPEID, ENTITY_ID)
	SELECT 'voadmin@localhost', 'voadmin@localhost', IDENTITY_TYPES.ID, ENTITIES.ID FROM IDENTITY_TYPES, ENTITIES WHERE 
		VAL = 'urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress' AND NAME = 'VOADMIN';

INSERT INTO ENTITY_ATTRIBUTES (ATTRTYPE_ID, ENTITY_ID, VAL)
	SELECT ATTRIBUTE_TYPES.ID, ENTITIES.ID, 'write' FROM ATTRIBUTE_TYPES, ENTITIES WHERE
		 ATTRIBUTE_TYPES.NAME = 'urn:authz:intervo:vo' AND ENTITIES.NAME = 'VOADMIN';
	
